Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 88188 - Published item index page lacks ML qualifiers
Summary: Published item index page lacks ML qualifiers
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other
Version: nightly
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Justin Ross
QA Contact: Jon Orris
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-07 14:19 UTC by Jon Orris
Modified: 2007-04-18 16:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-24 15:25:32 UTC


Attachments (Terms of Use)

Description Jon Orris 2003-04-07 14:19:22 UTC
Description of problem:

Published items don't have any extensions for the specific language instance.
As the code stands now, it expects something like .en, .fr, .dr, etc at the end
of the url to dispatch to the correct language instance.

All the published item links lack this, so if you have both an english & french
version of a CI, two unqualified links will show up. They will dispatch to the
default language instance.

Comment 1 Justin Ross 2003-04-10 15:16:22 UTC
Fixed in perforce change 29683.  MultilingualItemResolver.generateItemURL now
uses the passed in item's language code to generate a lang-qualified URL.


Note You need to log in before you can comment on or make changes to this bug.